## rocm-docs-core 1.21.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --all-extras pyproject.toml
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
argcomplete==3.5.3
    # via commitizen
asttokens==3.0.0
    # via stack-data
attrs==25.3.0
    # via
    #   jsonschema
    #   jupyter-cache
    #   referencing
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.13.4
    # via pydata-sphinx-theme
black==25.1.0
    # via rocm-docs-core (pyproject.toml)
breathe==4.36.0
    # via rocm-docs-core (pyproject.toml)
build==1.2.2.post1
    # via
    #   pip-tools
    #   rocm-docs-core (pyproject.toml)
certifi==2025.6.15
    # via requests
cffi==1.17.1
    # via
    #   cryptography
    #   pynacl
cfgv==3.4.0
    # via pre-commit
charset-normalizer==3.4.2
    # via
    #   commitizen
    #   requests
click==8.2.1
    # via
    #   black
    #   click-log
    #   doxysphinx
    #   jupyter-cache
    #   pip-tools
    #   sphinx-external-toc
click-log==0.4.0
    # via doxysphinx
colorama==0.4.6
    # via commitizen
comm==0.2.2
    # via ipykernel
commitizen==4.8.3
    # via rocm-docs-core (pyproject.toml)
contourpy==1.3.2
    # via matplotlib
cryptography==45.0.4
    # via pyjwt
cycler==0.12.1
    # via matplotlib
debugpy==1.8.14
    # via ipykernel
decli==0.6.3
    # via commitizen
decorator==5.2.1
    # via ipython
deprecated==1.2.18
    # via pygithub
distlib==0.3.9
    # via virtualenv
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
doxysphinx==3.3.12
    # via rocm-docs-core (pyproject.toml)
executing==2.2.0
    # via stack-data
fastjsonschema==2.21.1
    # via
    #   nbformat
    #   rocm-docs-core (pyproject.toml)
filelock==3.18.0
    # via virtualenv
fonttools==4.58.4
    # via matplotlib
gitdb==4.0.12
    # via gitpython
gitpython==3.1.44
    # via rocm-docs-core (pyproject.toml)
greenlet==3.2.3
    # via sqlalchemy
identify==2.6.12
    # via pre-commit
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via
    #   jupyter-cache
    #   myst-nb
iniconfig==2.1.0
    # via pytest
ipykernel==6.29.5
    # via myst-nb
ipython==8.37.0
    # via
    #   ipykernel
    #   myst-nb
isort==6.0.1
    # via rocm-docs-core (pyproject.toml)
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via
    #   commitizen
    #   myst-parser
    #   sphinx
jsonschema==4.24.0
    # via nbformat
jsonschema-specifications==2025.4.1
    # via jsonschema
jupyter-cache==1.0.1
    # via myst-nb
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   nbclient
jupyter-core==5.8.1
    # via
    #   ipykernel
    #   jupyter-client
    #   nbclient
    #   nbformat
kiwisolver==1.4.8
    # via matplotlib
libsass==0.22.0
    # via doxysphinx
lxml==5.2.1
    # via doxysphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.2
    # via jinja2
matplotlib==3.10.3
    # via doxysphinx
matplotlib-inline==0.1.7
    # via
    #   ipykernel
    #   ipython
mdit-py-plugins==0.4.2
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
mpire==2.10.2
    # via doxysphinx
mypy==1.16.1
    # via rocm-docs-core (pyproject.toml)
mypy-extensions==1.1.0
    # via
    #   black
    #   mypy
myst-nb==1.2.0
    # via rocm-docs-core (pyproject.toml)
myst-parser==4.0.1
    # via myst-nb
nbclient==0.10.2
    # via
    #   jupyter-cache
    #   myst-nb
nbformat==5.10.4
    # via
    #   jupyter-cache
    #   myst-nb
    #   nbclient
nest-asyncio==1.6.0
    # via ipykernel
nodeenv==1.9.1
    # via pre-commit
numpy==1.26.4
    # via
    #   contourpy
    #   doxysphinx
    #   matplotlib
packaging==25.0
    # via
    #   black
    #   build
    #   commitizen
    #   ipykernel
    #   matplotlib
    #   pydata-sphinx-theme
    #   pytest
    #   sphinx
parso==0.8.4
    # via jedi
pathspec==0.12.1
    # via
    #   black
    #   mypy
pexpect==4.9.0
    # via ipython
pillow==11.2.1
    # via matplotlib
pip-tools==7.4.1
    # via rocm-docs-core (pyproject.toml)
platformdirs==4.3.8
    # via
    #   black
    #   jupyter-core
    #   virtualenv
pluggy==1.6.0
    # via pytest
pre-commit==4.2.0
    # via rocm-docs-core (pyproject.toml)
prompt-toolkit==3.0.51
    # via
    #   ipython
    #   questionary
psutil==7.0.0
    # via ipykernel
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pycparser==2.22
    # via cffi
pydata-sphinx-theme==0.16.1
    # via
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
pygithub==2.6.1
    # via rocm-docs-core (pyproject.toml)
pygments==2.19.2
    # via
    #   accessible-pygments
    #   ipython
    #   mpire
    #   pydata-sphinx-theme
    #   sphinx
pyjson5==1.6.9
    # via doxysphinx
pyjwt[crypto]==2.10.1
    # via pygithub
pynacl==1.5.0
    # via pygithub
pyparsing==3.2.3
    # via
    #   doxysphinx
    #   matplotlib
    #   sphinxcontrib-doxylink
pyproject-hooks==1.2.0
    # via
    #   build
    #   pip-tools
pytest==8.4.1
    # via rocm-docs-core (pyproject.toml)
python-dateutil==2.9.0.post0
    # via
    #   jupyter-client
    #   matplotlib
    #   sphinxcontrib-doxylink
pyyaml==6.0.2
    # via
    #   commitizen
    #   jupyter-cache
    #   myst-nb
    #   myst-parser
    #   pre-commit
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-external-toc
pyzmq==27.0.0
    # via
    #   ipykernel
    #   jupyter-client
questionary==2.1.0
    # via commitizen
referencing==0.36.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.4
    # via
    #   pygithub
    #   sphinx
rpds-py==0.25.1
    # via
    #   jsonschema
    #   referencing
ruff==0.12.0
    # via rocm-docs-core (pyproject.toml)
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.7
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   breathe
    #   myst-nb
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
    #   sphinxcontrib-doxylink
sphinx-book-theme==1.1.3
    # via rocm-docs-core (pyproject.toml)
sphinx-copybutton==0.5.2
    # via rocm-docs-core (pyproject.toml)
sphinx-design==0.6.1
    # via rocm-docs-core (pyproject.toml)
sphinx-external-toc==1.0.1
    # via rocm-docs-core (pyproject.toml)
sphinx-notfound-page==1.1.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-doxylink==1.13.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sqlalchemy==2.0.41
    # via jupyter-cache
stack-data==0.6.3
    # via ipython
tabulate==0.9.0
    # via jupyter-cache
termcolor==2.5.0
    # via commitizen
tomlkit==0.13.3
    # via commitizen
tornado==6.5.1
    # via
    #   ipykernel
    #   jupyter-client
tqdm==4.67.1
    # via mpire
traitlets==5.14.3
    # via
    #   comm
    #   ipykernel
    #   ipython
    #   jupyter-client
    #   jupyter-core
    #   matplotlib-inline
    #   nbclient
    #   nbformat
typing-extensions==4.14.0
    # via
    #   beautifulsoup4
    #   mypy
    #   myst-nb
    #   pydata-sphinx-theme
    #   pygithub
    #   referencing
    #   sqlalchemy
urllib3==2.5.0
    # via
    #   pygithub
    #   requests
virtualenv==20.31.2
    # via pre-commit
wcwidth==0.2.13
    # via prompt-toolkit
wheel==0.45.1
    # via pip-tools
wrapt==1.17.2
    # via deprecated
zipp==3.23.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

## rocm-docs-core 1.17.1

=== debian/changelog ===
rocm-docs-core (1.17.1-9) unstable; urgency=medium

  * Fix Recommends field in bad place

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 19:45:55 +0100

rocm-docs-core (1.17.1-8) unstable; urgency=medium

  * Set missing packages as recommended

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 18:41:11 +0100

rocm-docs-core (1.17.1-7) unstable; urgency=medium

  * Setup for unstable

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 17:47:31 +0100

rocm-docs-core (1.17.1-6) experimental; urgency=medium

  * Replace python-rocm-docs-example package with python3-rocm-docs examples
  * Fix overrides form some dependencies
  * Set minimal version for python3-sphinx-book-theme
  * Fix bad permission with override_dh_installexamples

 -- Christian Bayle <bayle@debian.org>  Sat, 08 Mar 2025 23:36:58 +0100

rocm-docs-core (1.17.1-5) unstable; urgency=medium

  * Fix blank lines and typo in copyright
  * Update README.source
  * Set patch as not needed
  * Set correct reference in patch/series
  * Renamed python-rocm-docs-core-doc as python-rocm-docs-example
  * Remove .gitignore files
  * Add many overrides due to the fact the package is a doc generator / template

 -- Christian Bayle <bayle@debian.org>  Sat, 08 Mar 2025 18:58:07 +0100

rocm-docs-core (1.17.1-4) unstable; urgency=medium

  * Add py3dist-overrides
  * Cleanup debian rules
  * Cleanup and Disable patche

 -- Christian Bayle <bayle@debian.org>  Sat, 08 Mar 2025 15:48:18 +0100

rocm-docs-core (1.17.1-3) unstable; urgency=medium

  * Clean font permissions
  * Add dep on python3-json5 and python3-breathe

 -- Christian Bayle <bayle@debian.org>  Fri, 07 Mar 2025 20:17:47 +0100

rocm-docs-core (1.17.1-2) unstable; urgency=medium

  * Fix binary package name to make the name = the python package name

 -- Christian Bayle <bayle@debian.org>  Fri, 07 Mar 2025 02:35:23 +0100

rocm-docs-core (1.17.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1099584)

 -- Christian Bayle <bayle@debian.org>  Fri, 07 Mar 2025 00:48:49 +0100

=== debian/control ===
Source: rocm-docs-core
Section: python
Priority: optional
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Christian Bayle <bayle@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-breathe,
 python3-fastjsonschema,
 python3-git,
 python3-github,
 python3-json5,
 python3-myst-nb,
 python3-pydata-sphinx-theme,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-copybutton,
 python3-sphinx-design,
 python3-sphinx-notfound-page,
 python3-yaml,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/ROCm/rocm-docs-core
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-docs-core
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-docs-core.git

Package: python3-rocm-docs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-doxysphinx,
 python3-mpire,
 python3-sphinx-book-theme (>=1.1.4),
 python3-sphinx-external-toc,
Suggests:
 python-rocm-docs-core-doc,
Description: ROCm Documentation Core Utilities (Python 3)
 comprise styling, scripts, and additional HTML content that is common to all
 ROCm project's documentation. This greatly aids in maintaining the
 documentation, as any change to the appearance only needs to be modified
 in one location.
 .
 This package installs the library for Python 3. It also install an example
 that allow you to generate the ROCm doc for rocm-docs-core project.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rocm-docs
# Skip Online test
export PYBUILD_TEST_ARGS=--ignore tests/test_projects.py
URL=https://salsa.debian.org/rocm-team
# Indeed tests are done, but building the exemple doc is not yet working
# The module theme probably don't work yet, but should allow to decrease
# needed patch in many rocm packages
# ITP on missing dependancies going on (see README.source)
# true or false
WITHDOC=--with sphinxdoc
# Not building doc that is an exemple doc
# Requiring itself to build see comment below
WITHDOC=

export DOC_DIR=src/rocm_docs

%:
	dh $@ $(WITHDOC) --buildsystem=pybuild

# To rebuild the Sphinx documentation when it will be possible
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
		# Can't probably work when then package is not yet installed,
		# cirular dependancy, template extension, not yet available,... 
		# See Debian.source
		# Some dependancy are missing but provided test are integrated
		#PYTHONPATH=.:..:../build/lib:./build/lib:../src:./src ; cd docs ; python3 -m sphinx \
		#   -T -E -b html -d ../_build/doctrees \
		#   -D language=en \
		#   -D external_toc_path="../debian/_toc.yml" \
		#   . ../_build/html

override_dh_install:
	dh_install
	# Fix font files permissions
	find . -name '*.woff*' -exec chmod ugo-x {} \;
	# Remove vcs-control-file gitignore
	find . -name '*.gitignore*' -exec rm -f {} \;

override_dh_installexamples:
	dh_installexamples
	# Fix vectorial images permissions
	find . -name '*.svg*' -exec chmod ugo-x {} \;

	

override_dh_clean:
	dh_clean
	# Remove various possibly generated doc to allow easy local rebuild (debuild) \
	# See README.source for more info
	-rm -rf docs/_doxygen/ docs/demo/doxygen/html/ docs/_build/ \
		docs/demo/doxygen/xml/ .pybuild/ _build/ src/rocm_docs/_doxygen
	-rm -f docs/sphinx/_toc.yml

## rocm-docs-core 1.21.1

=== debian/changelog ===
rocm-docs-core (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1
  * Update patches for new release

 -- Christian Bayle <bayle@debian.org>  Sun, 29 Jun 2025 18:50:49 +0200

rocm-docs-core (1.20.0-1) unstable; urgency=medium

  * Add option-to-skip-theme-update (Closes: #1108246)
  * Set branch=latest to enable version display
  * Source only upload

 -- Christian Bayle <bayle@debian.org>  Tue, 24 Jun 2025 16:24:32 +0200

rocm-docs-core (1.20.0-1~exp1) experimental; urgency=medium

  * Don t access git when ROCM_DOCS_REMOTE_DETAILS is set,  
    update of Dont-fail-if-not-in-git-repo patch
  * New upstream version 1.20.0

 -- Christian Bayle <bayle@debian.org>  Wed, 04 Jun 2025 19:36:02 +0200

rocm-docs-core (1.19.0-1~exp6) experimental; urgency=medium

  * Rework Don-t-fail-if-not-in-git-repo patch

 -- Christian Bayle <bayle@debian.org>  Wed, 04 Jun 2025 16:13:39 +0200

rocm-docs-core (1.19.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.19.0
  * Add Dont-fail-if-not-in-git-repo patch
  * Add Allow-offline-doc patch
  * Add Fix-privacy-issue patch
  * Update README.source to take in account doc generation
  * Update / Improve copyright file after upstream path fix
    https://github.com/ROCm/rocm-docs-core/issues/1277

 -- Christian Bayle <bayle@debian.org>  Fri, 16 May 2025 23:09:32 +0200

rocm-docs-core (1.18.4-1~exp1) experimental; urgency=medium

  * New upstream version 1.18.4
  * Add newly available packages as build dependancies
  * Some update in README files
  * Use autopkgtest-pkg-pybuild testsuite

 -- Christian Bayle <bayle@debian.org>  Wed, 14 May 2025 22:16:27 +0200

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,13 @@
  python3-sphinx-design,
  python3-sphinx-notfound-page,
  python3-yaml,
-Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+ python3-doxysphinx (>=3.3.12-6~exp1),
+ python3-mpire,
+ python3-sphinx-book-theme (>=1.1.4),
+ python3-sphinx-external-toc,
+ python3-doc,
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.7.2
 Homepage: https://github.com/ROCm/rocm-docs-core
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-docs-core
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-docs-core.git
@@ -35,11 +40,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Recommends:
- python3-doxysphinx,
- python3-mpire,
- python3-sphinx-book-theme (>=1.1.4),
- python3-sphinx-external-toc,
 Suggests:
  python-rocm-docs-core-doc,
 Description: ROCm Documentation Core Utilities (Python 3)
@@ -50,3 +50,22 @@
  .
  This package installs the library for Python 3. It also install an example
  that allow you to generate the ROCm doc for rocm-docs-core project.
+ .
+ This package installs the library for Python 3.
+
+Package: python-rocm-docs-doc
+Section: doc
+Architecture: all
+Depends:
+ ${sphinxdoc:Depends},
+ ${misc:Depends},
+Description: ROCm Documentation Core Utilities (documentation)
+ comprise styling, scripts, and additional HTML content that is common to all
+ ROCm project's documentation. This greatly aids in maintaining the
+ documentation, as any change to the appearance only needs to be modified
+ in one location.
+ .
+ This package installs the library for Python 3. It also install an example
+ that allow you to generate the ROCm doc for rocm-docs-core project.
+ .
+ This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rocm-docs
# Skip Online test
export PYBUILD_TEST_ARGS=--ignore tests/test_projects.py

url=https://github.com/ROCm/rocm-docs-core
# When you set branch=latest you SHOULD get latest_version value in the header
# With branch=experimental you SHOULD get no version displayed
# See ./src/rocm_docs/rocm_docs_theme/flavors/rocm/header.jinja
#branch=experimental
branch=latest

# https://raw.githubusercontent.com/ROCm/rocm-docs-core/data/latest_version.txt
latest_version="6.4.1"
# https://raw.githubusercontent.com/ROCm/rocm-docs-core/data/release_candidate.txt
release_candidate="6.4.2"
# https://raw.githubusercontent.com/ROCm/rocm-docs-core/data/google_site_verification.txt
google_site_verification = "vo35SZt_GASsTHAEmdww7AYKPCvZyzLvOXBl8guBME4"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# To rebuild the Sphinx documentation when it will be possible
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
		# Disabling net access during build
		# Disabling git request for sbuild
		export PYTHONPATH=.:..:../build/lib:./build/lib:../src:./src ; \
		export latest_version="$(latest_version)" ; \
		export release_candidate="$(release_candidate)" ; \
		export google_site_verification="$(google_site_verification)" ; \
		export ROCM_DOCS_REMOTE_DETAILS="$(url),$(branch)" ; \
		cd docs ; python3 -m sphinx \
		-T -E -b html -d ../_build/doctrees \
		-D language=en \
		. ../_build/html
		# Remove fonts that will be symlinks
		rm -rf _build/html/_static/fonts
		rm -rf _build/html/_static/vendor

override_dh_install:
	dh_install
	# Fix font files permissions
	find . -name '*.woff*' -exec chmod ugo-x {} \;
	# Remove vcs-control-file gitignore
	find . -name '*.gitignore*' -exec rm -f {} \;
	# Fix vectorial images permissions
	find . -name '*.svg*' -exec chmod ugo-x {} \;

override_dh_compress:
	# Do not compress sphinx doc (ttf fonts for example)
	dh_compress -Xpython-rocm-docs-doc/html

override_dh_clean:
	dh_clean
	# Remove various possibly generated doc to allow easy local rebuild (debuild) \
	# See README.source for more info
	-rm -rf docs/_doxygen/ docs/demo/doxygen/html/ docs/_build/ \
		docs/demo/doxygen/xml/ .pybuild/ _build/ src/rocm_docs/_doxygen
	-rm -f docs/sphinx/_toc.yml

## rocm-docs-core 1.23.0

=== requirements.txt ===
--- 
+++ 
@@ -27,11 +27,11 @@
     # via rocm-docs-core (pyproject.toml)
 breathe==4.36.0
     # via rocm-docs-core (pyproject.toml)
-build==1.2.2.post1
+build==1.3.0
     # via
     #   pip-tools
     #   rocm-docs-core (pyproject.toml)
-certifi==2025.6.15
+certifi==2025.8.3
     # via requests
 cffi==1.17.1
     # via
@@ -39,7 +39,7 @@
     #   pynacl
 cfgv==3.4.0
     # via pre-commit
-charset-normalizer==3.4.2
+charset-normalizer==3.4.3
     # via
     #   commitizen
     #   requests
@@ -55,17 +55,17 @@
     # via doxysphinx
 colorama==0.4.6
     # via commitizen
-comm==0.2.2
+comm==0.2.3
     # via ipykernel
 commitizen==4.8.3
     # via rocm-docs-core (pyproject.toml)
 contourpy==1.3.2
     # via matplotlib
-cryptography==45.0.4
+cryptography==45.0.6
     # via pyjwt
 cycler==0.12.1
     # via matplotlib
-debugpy==1.8.14
+debugpy==1.8.16
     # via ipykernel
 decli==0.6.3
     # via commitizen
@@ -73,7 +73,7 @@
     # via ipython
 deprecated==1.2.18
     # via pygithub
-distlib==0.3.9
+distlib==0.4.0
     # via virtualenv
 docutils==0.21.2
     # via
@@ -90,15 +90,15 @@
     #   rocm-docs-core (pyproject.toml)
 filelock==3.18.0
     # via virtualenv
-fonttools==4.58.4
+fonttools==4.59.0
     # via matplotlib
 gitdb==4.0.12
     # via gitpython
-gitpython==3.1.44
-    # via rocm-docs-core (pyproject.toml)
-greenlet==3.2.3
+gitpython==3.1.45
+    # via rocm-docs-core (pyproject.toml)
+greenlet==3.2.4
     # via sqlalchemy
-identify==2.6.12
+identify==2.6.13
     # via pre-commit
 idna==3.10
     # via requests
@@ -110,7 +110,7 @@
     #   myst-nb
 iniconfig==2.1.0
     # via pytest
-ipykernel==6.29.5
+ipykernel==6.30.1
     # via myst-nb
 ipython==8.37.0
     # via
@@ -125,7 +125,7 @@
     #   commitizen
     #   myst-parser
     #   sphinx
-jsonschema==4.24.0
+jsonschema==4.25.0
     # via nbformat
 jsonschema-specifications==2025.4.1
     # via jsonschema
@@ -141,7 +141,7 @@
     #   jupyter-client
     #   nbclient
     #   nbformat
-kiwisolver==1.4.8
+kiwisolver==1.4.9
     # via matplotlib
 libsass==0.22.0
     # via doxysphinx
@@ -153,25 +153,25 @@
     #   myst-parser
 markupsafe==3.0.2
     # via jinja2
-matplotlib==3.10.3
+matplotlib==3.10.5
     # via doxysphinx
 matplotlib-inline==0.1.7
     # via
     #   ipykernel
     #   ipython
-mdit-py-plugins==0.4.2
+mdit-py-plugins==0.5.0
     # via myst-parser
 mdurl==0.1.2
     # via markdown-it-py
 mpire==2.10.2
     # via doxysphinx
-mypy==1.16.1
+mypy==1.17.1
     # via rocm-docs-core (pyproject.toml)
 mypy-extensions==1.1.0
     # via
     #   black
     #   mypy
-myst-nb==1.2.0
+myst-nb==1.3.0
     # via rocm-docs-core (pyproject.toml)
 myst-parser==4.0.1
     # via myst-nb
@@ -211,9 +211,9 @@
     #   mypy
 pexpect==4.9.0
     # via ipython
-pillow==11.2.1
+pillow==11.3.0
     # via matplotlib
-pip-tools==7.4.1
+pip-tools==7.5.0
     # via rocm-docs-core (pyproject.toml)
 platformdirs==4.3.8
     # via
@@ -222,7 +222,7 @@
     #   virtualenv
 pluggy==1.6.0
     # via pytest
-pre-commit==4.2.0
+pre-commit==4.3.0
     # via rocm-docs-core (pyproject.toml)
 prompt-toolkit==3.0.51
     # via
@@ -240,7 +240,7 @@
     # via
     #   rocm-docs-core (pyproject.toml)
     #   sphinx-book-theme
-pygithub==2.6.1
+pygithub==2.7.0
     # via rocm-docs-core (pyproject.toml)
 pygments==2.19.2
     # via
@@ -280,7 +280,7 @@
     #   pre-commit
     #   rocm-docs-core (pyproject.toml)
     #   sphinx-external-toc
-pyzmq==27.0.0
+pyzmq==27.0.1
     # via
     #   ipykernel
     #   jupyter-client
@@ -294,11 +294,11 @@
     # via
     #   pygithub
     #   sphinx
-rpds-py==0.25.1
+rpds-py==0.27.0
     # via
     #   jsonschema
     #   referencing
-ruff==0.12.0
+ruff==0.12.8
     # via rocm-docs-core (pyproject.toml)
 six==1.17.0
     # via python-dateutil
@@ -345,7 +345,7 @@
     # via sphinx
 sphinxcontrib-serializinghtml==2.0.0
     # via sphinx
-sqlalchemy==2.0.41
+sqlalchemy==2.0.43
     # via jupyter-cache
 stack-data==0.6.3
     # via ipython
@@ -355,7 +355,7 @@
     # via commitizen
 tomlkit==0.13.3
     # via commitizen
-tornado==6.5.1
+tornado==6.5.2
     # via
     #   ipykernel
     #   jupyter-client
@@ -371,7 +371,7 @@
     #   matplotlib-inline
     #   nbclient
     #   nbformat
-typing-extensions==4.14.0
+typing-extensions==4.14.1
     # via
     #   beautifulsoup4
     #   mypy
@@ -384,13 +384,13 @@
     # via
     #   pygithub
     #   requests
-virtualenv==20.31.2
+virtualenv==20.34.0
     # via pre-commit
 wcwidth==0.2.13
     # via prompt-toolkit
 wheel==0.45.1
     # via pip-tools
-wrapt==1.17.2
+wrapt==1.17.3
     # via deprecated
 zipp==3.23.0
     # via importlib-metadata

=== debian/changelog ===
rocm-docs-core (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0
  * Update patches for new release
  * Make available rocm data in
    /usr/share/doc/python3-rocm-docs/rocm_data
  * Build in html dir instead of _html
  * Update README.source
  * Add help2man in dependancies
  * Add and use rocm-docs-build helper to build doc

 -- Christian Bayle <bayle@debian.org>  Thu, 04 Sep 2025 19:00:20 +0200

rocm-docs-core (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Update patches for new release

 -- Christian Bayle <bayle@debian.org>  Fri, 22 Aug 2025 18:52:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rocm-docs
# Skip Online test
export PYBUILD_TEST_ARGS=--ignore tests/test_projects.py

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# To rebuild the Sphinx documentation when it will be possible
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
		help2man -N -n"Build documentation for ROCm" \
			debian/rocm-docs-build > debian/rocm-docs-build.1
		debian/rocm-docs-build
		# Remove fonts that will be symlinks
		rm -rf build/html/_static/fonts
		rm -rf build/html/_static/vendor

override_dh_install:
	dh_install
	# Fix font files permissions
	find . -name '*.woff*' -exec chmod ugo-x {} \;
	# Remove vcs-control-file gitignore
	find . -name '*.gitignore*' -exec rm -f {} \;
	# Fix vectorial images permissions
	find . -name '*.svg*' -exec chmod ugo-x {} \;

override_dh_compress:
	# Do not compress sphinx doc (ttf fonts for example)
	dh_compress -Xpython-rocm-docs-doc/html

override_dh_clean:
	dh_clean
	# Remove various possibly generated doc to allow easy local rebuild (debuild) \
	# See README.source for more info
	-rm -rf docs/_doxygen/ docs/demo/doxygen/html/ docs/build/ \
		docs/demo/doxygen/xml/ .pybuild/ build/ src/rocm_docs/_doxygen
	-rm -f docs/sphinx/_toc.yml

## rocm-docs-core 1.26.0

=== requirements.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
     # via
     #   pydata-sphinx-theme
     #   sphinx
-beautifulsoup4==4.13.4
+beautifulsoup4==4.13.5
     # via pydata-sphinx-theme
 black==25.1.0
     # via rocm-docs-core (pyproject.toml)
@@ -84,13 +84,13 @@
     # via rocm-docs-core (pyproject.toml)
 executing==2.2.0
     # via stack-data
-fastjsonschema==2.21.1
+fastjsonschema==2.21.2
     # via
     #   nbformat
     #   rocm-docs-core (pyproject.toml)
-filelock==3.18.0
+filelock==3.19.1
     # via virtualenv
-fonttools==4.59.0
+fonttools==4.59.2
     # via matplotlib
 gitdb==4.0.12
     # via gitpython
@@ -125,7 +125,7 @@
     #   commitizen
     #   myst-parser
     #   sphinx
-jsonschema==4.25.0
+jsonschema==4.25.1
     # via nbformat
 jsonschema-specifications==2025.4.1
     # via jsonschema
@@ -280,25 +280,25 @@
     #   pre-commit
     #   rocm-docs-core (pyproject.toml)
     #   sphinx-external-toc
-pyzmq==27.0.1
+pyzmq==27.0.2
     # via
     #   ipykernel
     #   jupyter-client
-questionary==2.1.0
+questionary==2.1.1
     # via commitizen
 referencing==0.36.2
     # via
     #   jsonschema
     #   jsonschema-specifications
-requests==2.32.4
+requests==2.32.5
     # via
     #   pygithub
     #   sphinx
-rpds-py==0.27.0
+rpds-py==0.27.1
     # via
     #   jsonschema
     #   referencing
-ruff==0.12.8
+ruff==0.12.11
     # via rocm-docs-core (pyproject.toml)
 six==1.17.0
     # via python-dateutil
@@ -371,7 +371,7 @@
     #   matplotlib-inline
     #   nbclient
     #   nbformat
-typing-extensions==4.14.1
+typing-extensions==4.15.0
     # via
     #   beautifulsoup4
     #   mypy

=== debian/changelog ===
rocm-docs-core (1.26.0-1) unstable; urgency=medium

  * Update ROCm versions
  * New upstream version 1.26.0
  * Rebase patches
  * Add .inv files in debian/projects.yaml

 -- Christian Bayle <bayle@debian.org>  Sun, 12 Oct 2025 22:26:47 +0200

rocm-docs-core (1.23.0-5) unstable; urgency=medium

  * Use UTC timestamp (Closes: #1114772)

 -- Christian Bayle <bayle@debian.org>  Wed, 10 Sep 2025 11:24:49 +0200

rocm-docs-core (1.23.0-4) unstable; urgency=medium

  * Improve patch on conf.py

 -- Christian Bayle <bayle@debian.org>  Wed, 10 Sep 2025 10:57:38 +0200

rocm-docs-core (1.23.0-3) unstable; urgency=medium

  * Rework default url value
  * Merge Get-data-from-env and Add-option-to-skip-theme-update patches
  * Add patch for docs/conf.py to fix title

 -- Christian Bayle <bayle@debian.org>  Sun, 07 Sep 2025 00:44:15 +0200

rocm-docs-core (1.23.0-2) unstable; urgency=medium

  * Readd -D language=en
  * Remove updateinventory and modify-conf-py patches
  * Update projects.yaml
  * Allow url and branch as env var

 -- Christian Bayle <bayle@debian.org>  Fri, 05 Sep 2025 22:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  python3-sphinx-book-theme (>=1.1.4),
  python3-sphinx-external-toc,
  python3-doc,
+ help2man,
 Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.7.2
 Homepage: https://github.com/ROCm/rocm-docs-core

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,13 @@
 		rm -rf build/html/_static/fonts
 		rm -rf build/html/_static/vendor
 
+override_dh_auto_configure:
+	# Fix some bad URL, add python inventory reference
+	# In debian/projects.yaml
+	# TODO: Update links and inventory for Debian
+	cat debian/projects.yaml | grep -v '^#  ' > src/rocm_docs/data/projects.yaml
+	dh_auto_configure -O--buildsystem=pybuild
+
 override_dh_install:
 	dh_install
 	# Fix font files permissions

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/rocm/rocm-docs-core/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## rocm-docs-core 1.31.0

=== debian/changelog ===
rocm-docs-core (1.31.0-1) unstable; urgency=medium

  * New upstream version 1.31.0
  * Update patches
  * Take in account new data format for rocm version
  * Update watch file for v5

 -- Christian Bayle <bayle@debian.org>  Thu, 11 Dec 2025 20:53:21 +0100

## rocm-docs-core 1.31.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --all-extras --cert=None --client-cert=None --index-url=None --pip-args=None pyproject.toml
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
argcomplete==3.6.3
    # via commitizen
asttokens==3.0.1
    # via stack-data
attrs==25.4.0
    # via
    #   jsonschema
    #   jupyter-cache
    #   referencing
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.14.2
    # via pydata-sphinx-theme
black==25.11.0
    # via rocm-docs-core (pyproject.toml)
breathe==4.36.0
    # via rocm-docs-core (pyproject.toml)
build==1.3.0
    # via
    #   pip-tools
    #   rocm-docs-core (pyproject.toml)
certifi==2025.11.12
    # via requests
cffi==2.0.0
    # via
    #   cryptography
    #   pynacl
cfgv==3.5.0
    # via pre-commit
charset-normalizer==3.4.4
    # via
    #   commitizen
    #   requests
click==8.3.1
    # via
    #   black
    #   click-log
    #   doxysphinx
    #   jupyter-cache
    #   pip-tools
    #   sphinx-external-toc
click-log==0.4.0
    # via doxysphinx
colorama==0.4.6
    # via commitizen
comm==0.2.3
    # via ipykernel
commitizen==4.10.0
    # via rocm-docs-core (pyproject.toml)
cryptography==46.0.3
    # via pyjwt
debugpy==1.8.17
    # via ipykernel
decli==0.6.3
    # via commitizen
decorator==5.2.1
    # via ipython
deprecated==1.3.1
    # via commitizen
distlib==0.4.0
    # via virtualenv
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
doxysphinx==3.3.14
    # via rocm-docs-core (pyproject.toml)
exceptiongroup==1.3.1
    # via
    #   ipython
    #   pytest
executing==2.2.1
    # via stack-data
fastjsonschema==2.21.2
    # via
    #   nbformat
    #   rocm-docs-core (pyproject.toml)
filelock==3.20.0
    # via virtualenv
gitdb==4.0.12
    # via gitpython
gitpython==3.1.45
    # via rocm-docs-core (pyproject.toml)
greenlet==3.2.4
    # via sqlalchemy
identify==2.6.15
    # via pre-commit
idna==3.11
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via
    #   jupyter-cache
    #   myst-nb
iniconfig==2.3.0
    # via pytest
ipykernel==7.1.0
    # via myst-nb
ipython==8.37.0
    # via
    #   ipykernel
    #   myst-nb
isort==7.0.0
    # via rocm-docs-core (pyproject.toml)
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via
    #   commitizen
    #   myst-parser
    #   sphinx
jsonschema==4.25.1
    # via nbformat
jsonschema-specifications==2025.9.1
    # via jsonschema
jupyter-cache==1.0.1
    # via myst-nb
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   nbclient
jupyter-core==5.9.1
    # via
    #   ipykernel
    #   jupyter-client
    #   nbclient
    #   nbformat
librt==0.6.2
    # via mypy
libsass==0.22.0
    # via doxysphinx
lxml==5.2.1
    # via doxysphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.3
    # via jinja2
matplotlib-inline==0.2.1
    # via
    #   ipykernel
    #   ipython
mdit-py-plugins==0.5.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
mpire==2.10.2
    # via doxysphinx
mypy==1.19.0
    # via rocm-docs-core (pyproject.toml)
mypy-extensions==1.1.0
    # via
    #   black
    #   mypy
myst-nb==1.3.0
    # via rocm-docs-core (pyproject.toml)
myst-parser==4.0.1
    # via myst-nb
nbclient==0.10.2
    # via
    #   jupyter-cache
    #   myst-nb
nbformat==5.10.4
    # via
    #   jupyter-cache
    #   myst-nb
    #   nbclient
nest-asyncio==1.6.0
    # via ipykernel
nodeenv==1.9.1
    # via pre-commit
packaging==25.0
    # via
    #   black
    #   build
    #   commitizen
    #   ipykernel
    #   pydata-sphinx-theme
    #   pytest
    #   sphinx
parso==0.8.5
    # via jedi
pathspec==0.12.1
    # via
    #   black
    #   mypy
pexpect==4.9.0
    # via ipython
pip-tools==7.5.2
    # via rocm-docs-core (pyproject.toml)
platformdirs==4.5.0
    # via
    #   black
    #   jupyter-core
    #   virtualenv
pluggy==1.6.0
    # via pytest
pre-commit==4.5.0
    # via rocm-docs-core (pyproject.toml)
prompt-toolkit==3.0.51
    # via
    #   commitizen
    #   ipython
    #   questionary
psutil==7.1.3
    # via ipykernel
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pycparser==2.23
    # via cffi
pydata-sphinx-theme==0.15.4
    # via
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
pygithub==2.8.1
    # via rocm-docs-core (pyproject.toml)
pygments==2.19.2
    # via
    #   accessible-pygments
    #   ipython
    #   mpire
    #   pydata-sphinx-theme
    #   pytest
    #   sphinx
pyjson5==1.6.9
    # via doxysphinx
pyjwt[crypto]==2.10.1
    # via pygithub
pynacl==1.6.1
    # via pygithub
pyparsing==3.2.5
    # via
    #   doxysphinx
    #   sphinxcontrib-doxylink
pyproject-hooks==1.2.0
    # via
    #   build
    #   pip-tools
pytest==9.0.1
    # via rocm-docs-core (pyproject.toml)
python-dateutil==2.9.0.post0
    # via
    #   jupyter-client
    #   sphinxcontrib-doxylink
pytokens==0.3.0
    # via black
pyyaml==6.0.3
    # via
    #   commitizen
    #   jupyter-cache
    #   myst-nb
    #   myst-parser
    #   pre-commit
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-external-toc
pyzmq==27.1.0
    # via
    #   ipykernel
    #   jupyter-client
questionary==2.1.1
    # via commitizen
referencing==0.37.0
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.5
    # via
    #   pygithub
    #   sphinx
rpds-py==0.29.0
    # via
    #   jsonschema
    #   referencing
ruff==0.14.6
    # via rocm-docs-core (pyproject.toml)
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   breathe
    #   myst-nb
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
    #   sphinxcontrib-doxylink
sphinx-book-theme==1.1.4
    # via rocm-docs-core (pyproject.toml)
sphinx-copybutton==0.5.2
    # via rocm-docs-core (pyproject.toml)
sphinx-design==0.6.1
    # via rocm-docs-core (pyproject.toml)
sphinx-external-toc==1.0.1
    # via rocm-docs-core (pyproject.toml)
sphinx-notfound-page==1.1.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-doxylink==1.13.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sqlalchemy==2.0.44
    # via jupyter-cache
stack-data==0.6.3
    # via ipython
tabulate==0.9.0
    # via jupyter-cache
termcolor==3.2.0
    # via commitizen
tomli==2.3.0
    # via
    #   black
    #   build
    #   mypy
    #   pip-tools
    #   pytest
    #   sphinx
tomlkit==0.13.3
    # via commitizen
tornado==6.5.2
    # via
    #   ipykernel
    #   jupyter-client
tqdm==4.67.1
    # via mpire
traitlets==5.14.3
    # via
    #   ipykernel
    #   ipython
    #   jupyter-client
    #   jupyter-core
    #   matplotlib-inline
    #   nbclient
    #   nbformat
typing-extensions==4.15.0
    # via
    #   beautifulsoup4
    #   black
    #   commitizen
    #   cryptography
    #   exceptiongroup
    #   ipython
    #   mypy
    #   myst-nb
    #   pydata-sphinx-theme
    #   pygithub
    #   referencing
    #   sqlalchemy
    #   virtualenv
urllib3==2.5.0
    # via
    #   pygithub
    #   requests
virtualenv==20.35.4
    # via pre-commit
wcwidth==0.2.14
    # via prompt-toolkit
wheel==0.45.1
    # via pip-tools
wrapt==2.0.1
    # via deprecated
zipp==3.23.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
rocm-docs-core (1.31.1-2) unstable; urgency=medium

  * Fix symlink generation

 -- Christian Bayle <bayle@debian.org>  Sat, 13 Dec 2025 23:56:21 +0100

rocm-docs-core (1.31.1-1) unstable; urgency=medium

  * New upstream version 1.31.1
  * Rebase patch
  * Update rocm_data_versions
  * Update projects.yaml
  * Do symlinks if fonts and vendor dirs are found

 -- Christian Bayle <bayle@debian.org>  Sat, 13 Dec 2025 16:08:56 +0100

=== debian/watch ===
Version: 5

Template: GitHub
Owner: rocm
Project: rocm-docs-core
